include <common.scad>

module raspberry_pillars() {
    hole_radius = 2.7/2;
    hole_center = 3.5;
    translate([0, 0, -pillar_size[0]/2]) union() {
        // left side
        translate([hole_center,    hole_center,         0]) pillar();
        translate([hole_center,    raspberry_pi_size[1]-hole_center, 0]) pillar();
        // right side
        translate([58+hole_center, hole_center,         0]) pillar();
        translate([58+hole_center, raspberry_pi_size[1]-hole_center, 0]) pillar();
    }
}

module raspberry_tray() {
    union() {
        tray();
        translate(offset_pi(raspberry_pi_size)) raspberry_pillars();
    }
}

// translate(offset_pi(raspberry_pi_size)) raspberry_pi();
// raspberry_tray();